CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
cudnn_frontend::TensorBuilder_v8 Class Reference

`#include <cudnn_frontend_Tensor.h>`

Collaboration diagram for cudnn_frontend::TensorBuilder_v8:

## Public Member Functions
auto | setDataType (cudnnDataType_t data_type_) -> TensorBuilder_v8 &
| Set Datatype for the Tensor_v8. More...
auto | setDim (int64_t ndim, int64_t const *dim) -> TensorBuilder_v8 &
| Set Dimensions of the tensor. More...
auto | setStrides (int64_t ndim, int64_t const *strides) -> TensorBuilder_v8 &
| Set Strides of the tensor. More...
auto | setId (int64_t id_) -> TensorBuilder_v8 &
| Set Unique Id of the tensor. More...
auto | setAlignment (int64_t alignment_) -> TensorBuilder_v8 &
| Set Alignment of the tensor. More...
auto | setVirtual (bool virtual_=true) -> TensorBuilder_v8 &
| Set Alignment of the tensor. More...
auto | setByValue (bool isByValue_=true) -> TensorBuilder_v8 &
auto | setVectorCountAndDimension (int64_t vectorCount_, int64_t vectorDimension_) -> TensorBuilder_v8 &
Tensor_v8 && | build ()
| TensorBuilder_v8 ()=default
| ~TensorBuilder_v8 ()=default
| TensorBuilder_v8 (TensorBuilder_v8 &&)=delete
| TensorBuilder_v8 (TensorBuilder_v8 const &)=delete
TensorBuilder_v8 & | operator= (TensorBuilder_v8 const &)=delete

## Private Attributes
Tensor_v8 | m_tensor

## Detailed Description

TensorBuilder_v8 Class Helper class used to build Tensor_v8 class

Definition at line 140 of file cudnn_frontend_Tensor.h.

## Constructor & Destructor Documentation

## ◆ TensorBuilder_v8() [1/3]

cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ~TensorBuilder_v8()

cudnn_frontend::TensorBuilder_v8::~TensorBuilder_v8 | ( |  | ) |
| default

## ◆ TensorBuilder_v8() [2/3]

cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8 | ( | TensorBuilder_v8 && |  | ) |
| delete

## ◆ TensorBuilder_v8() [3/3]

cudnn_frontend::TensorBuilder_v8::TensorBuilder_v8 | ( | TensorBuilder_v8 const & |  | ) |
| delete

## Member Function Documentation

## ◆ build()

Tensor_v8&& cudnn_frontend::TensorBuilder_v8::build | ( |  | ) |
| inline

constructs the Tensor_v8 by calling the cudnn API Throws the appropriate error message

Definition at line 207 of file cudnn_frontend_Tensor.h.

References cudnn_frontend::getLogger(), cudnn_frontend::Tensor_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), cudnn_frontend::BackendDescriptor::status, and cudnn_frontend::Tensor_v8::TensorBuilder_v8.

## ◆ operator=()

TensorBuilder_v8& cudnn_frontend::TensorBuilder_v8::operator= | ( | TensorBuilder_v8 const & |  | ) |
| delete

## Member Data Documentation

## ◆ m_tensor

Tensor_v8 cudnn_frontend::TensorBuilder_v8::m_tensor
| private

Definition at line 396 of file cudnn_frontend_Tensor.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_Tensor.h